ia64/xen-unstable

changeset 15279:faef0f795490

[PATCH] Check for non-existent local repo
Check for non-existent local clone in select-repository.
Also change the #!/bin/bash to #!/bin/sh since the Makefile is calling
it explicitly with sh, and fix a couple other typos.

Signed-off-by: Aron Griffis <aron@hp.com>
author Ian Campbell <ian.campbell@xensource.com>
date Tue Jun 05 15:52:46 2007 +0100 (2007-06-05)
parents c5cf3942b5da
children c21b18b97a61
files buildconfigs/select-repository
line diff
     1.1 --- a/buildconfigs/select-repository	Tue Jun 05 15:51:59 2007 +0100
     1.2 +++ b/buildconfigs/select-repository	Tue Jun 05 15:52:46 2007 +0100
     1.3 @@ -1,4 +1,4 @@
     1.4 -#!/bin/bash
     1.5 +#!/bin/sh
     1.6  
     1.7  ME=$(basename $0)
     1.8  
     1.9 @@ -39,10 +39,14 @@ if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; t
    1.10  fi
    1.11  
    1.12  BASE=$(dirname ${XEN})
    1.13 -if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
    1.14 -    echo "$ME: Unable to determine Xen repository parent." 1>&2
    1.15 +if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
    1.16 +    echo "$ME: Unable to determine Xen repository base." 1>&2
    1.17      exit 1;
    1.18  fi
    1.19 +if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
    1.20 +    echo "$ME: No such dir: $BASE/$REPO" 1>&2
    1.21 +    exit 1
    1.22 +fi
    1.23  
    1.24  echo "$ME: Found ${BASE}/${REPO}" 1>&2
    1.25